Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 902298 - PRD35 - [RFE] Change Time Zone after the initial-run [NEEDINFO]
Summary: PRD35 - [RFE] Change Time Zone after the initial-run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.1.0
Hardware: All
OS: All
low
low
Target Milestone: ---
: 3.5.0
Assignee: Michal Skrivanek
QA Contact: meital avital
URL:
Whiteboard: virt
Depends On: 1014326
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-01-21 10:30 UTC by Daniele
Modified: 2018-12-04 14:58 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 17:51:37 UTC
oVirt Team: ---
Target Upstream Version:
michal.skrivanek: needinfo? (anande)
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description Daniele 2013-01-21 10:30:22 UTC
Description of problem:
The Time Zone property can not be changed after the initial run.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. created my "golden image" VM as normal. I set the timezone within the VM, and did not touch this "initial run" timezone.
2. created a template from the golden image. Did not touch the "initial run" timezone.
3. created a VM pool from the template. Did not touch the "initial run" timezone.

  
Actual results:
All my VM pool machines take this "initial run" timezone as their default. I can't change that anymore, and I would have to change each pool VM's timezone separately.

Expected results:
Be able to change the time zone of the template, the golden image etc. even after the initial run

Additional info:

Comment 1 Itamar Heim 2013-01-21 11:01:53 UTC
timezone is passed as part of sysprep process.
if your pool runs the sysprep each time (you didn't take snapshots on the pool vm's post creation), then changing the timezone of the VMs should work for next boot.

Comment 2 Daniele 2013-01-21 12:33:54 UTC
Does this apply to Linux guests as well?
What if the snapshot has been taken? Is there any possibility to change the timezone property from the RHEVM UI once it has been taken?

Comment 3 Michal Skrivanek 2013-01-22 13:24:12 UTC
it's only windows sysprep. It's not there for Linux at all.
For Windows once you  finish the Windows installation/setup the value no longer taken into account, even if you change it. It doesn't correspond to the actual time zone in guest

But isn't this about something else? Is he trying to say that instead of using the configured(in guest) TZ in the VM it is forcefully overwriting it for pooled vms every time a new one is deployed?
IIUC he only has Linux guests and we do not do anything with the timezone there.

Comment 4 Daniele 2013-02-24 14:57:10 UTC
Transforming this into an RFE to avoid duplication:

1. Proposed title of this feature request
Change timezone property after the initial run

2. Who is the customer behind the request?
Account name: Finnet-Iiitto
Customer segment: 
TAM/SRM customer: no/no
Strategic Customer yes/no: yes


3. What is the nature and description of the request?
To be able to edit the timezone entry in the database for VM's that already passed the initial run and template images.

4. Why does the customer need this? (List the business requirements here)
No specific business requirements. It's a nice function that should be there.

5. How would the customer like to achieve this? (List the functional
requirements here)
To be able to edit the timezone entry in the database for VM's that already passed the initial run and template images.

6. For each functional requirement listed in question 5, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
User installs a VM, runs the sysprep, boots into the system and realizes the timezone settings is wrong and wants to rerun the sysprep with right Time Zone settings.

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
This can maybe get "transformed" into RFE?
https://bugzilla.redhat.com/show_bug.cgi?id=902298

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
no

9. Is the sales team involved in this request and do they have any additional input?
no

10. List any affected packages or components.
rhevm

11. Would the customer be able to assist in testing this functionality if
implemented?
yes

Comment 5 Michal Skrivanek 2013-03-06 14:04:29 UTC
makes sense - adding flags.
in any case it needs a tooltip this applies to sysprep and it's not about setting the time zone in guest OS on the fly

Comment 6 Itamar Heim 2013-04-23 06:07:27 UTC
- cloud init should provide this for linux guests as well
- cloud init may allow to change it post reboot
greg?

Comment 7 Greg Padgett 2013-04-23 14:16:42 UTC
(In reply to comment #6)
> - cloud init should provide this for linux guests as well
> - cloud init may allow to change it post reboot
> greg?

Cloud-init will allow guest timezones to be set from rhevm, but only when the guest boots.  For VMs in a pool, this would occur at each boot.  (Of course note that the first phase of cloud-init is via the "Run Once" dialog, so it's more of a manual configuration for VMs in a pool until we support persisting the cloud-init data.)

Comment 8 Roman Hodain 2013-05-24 08:12:48 UTC
I want to just pint out that the time zone does not impact only the Windows system, but also the Linux systems.

The guest is started with the clock adjustment which is calculated based on the timezone.

<clock adjustment="-36000" offset="variable">
                <timer name="rtc" tickpolicy="catchup"/>
</clock>

The result is that the HW clock on the guest is shifted according to the timezone.

Comment 11 Michal Skrivanek 2014-04-22 12:54:42 UTC
Anand, can you please check this is addressed by a fix for bug 1014326. To me it sounds like it should be what this bug asks for

Comment 12 Michal Skrivanek 2014-05-23 13:20:27 UTC
no response, I consider this fixed. Moving to ON_QA to get it tested properly

Comment 13 meital avital 2014-10-27 07:51:17 UTC
Verified - https://tcms.engineering.redhat.com/run/163764/

Comment 14 Michal Skrivanek 2014-12-04 13:59:29 UTC
covered by regular doc which describes how to change TZ

Comment 16 errata-xmlrpc 2015-02-11 17:51:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.